%define	libname %mklibname haru %{version}
%define develname %mklibname haru -d

Summary:	Cross platform software library for generating PDF
Name:		libharu
Version:	2.2.1
Release:	%mkrel 4
Group:		System/Libraries
License:	BSD-like
URL:		http://www.libharu.org/
Source0:	http://libharu.org/files/%{name}-%{version}.tar.bz2
Patch0:		libharu-2.2.1-png15.patch
BuildRequires:	libpng-devel
BuildRequires:	zlib-devel
BuildRequires:	file

%description
HARU is a free, cross platform, open-sourced software library for generating
PDF.

%package -n	%{libname}
Summary:	Shared libharu library
Group:		System/Libraries

%description -n	%{libname}
HARU is a free, cross platform, open-sourced software library for generating
PDF.

%package -n	%{develname}
Summary:        Development headers for libharu 
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:	%{name}-devel = %{version}

%description -n	%{develname}
HARU is a free, cross platform, open-sourced software library for generating
PDF.

This package contains the static library and header files.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc README
%{_libdir}/libhpdf-%{version}.so

%files -n %{develname}
%{_includedir}/hpdf*.h
%{_libdir}/libhpdf.so


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.2.1-4.mga4
+ Revision: 525872
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 2.2.1-3.mga4
+ Revision: 434906
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 2.2.1-2.mga3
+ Revision: 357459
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 fwang <fwang> 2.2.1-1.mga3
+ Revision: 322514
- drop .la file
- update file list
- fix build with libpng 1.5
- new version 2.2.1

* Tue Sep 20 2011 fwang <fwang> 2.0.8-8.mga2
+ Revision: 145932
- fix build with latest libpng
- rebuild for new libpng

* Sun Feb 06 2011 spuhler <spuhler> 2.0.8-7.mga1
+ Revision: 47990
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package libharu


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.8-7mdv2011.0
+ Revision: 620126
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 2.0.8-6mdv2010.0
+ Revision: 429745
- rebuild

* Wed Jul 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.8-5mdv2009.0
+ Revision: 232985
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.0.8-4mdv2008.1
+ Revision: 170949
- rebuild
- summary is not licence tag
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.8-3mdv2008.0
+ Revision: 79504
- fix deps (again...)

* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.8-2mdv2008.0
+ Revision: 79436
- fix deps

* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.8-1mdv2008.0
+ Revision: 79408
- Import libharu



* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.8-1mdv2008.0
- initial Mandriva package (opensuse import)
